Subject: Re: [PATCH v6 2/7] dma: avoid redundant calls for sync operations

From: Christoph Hellwig <[email-masked]>
Date: Thu, 9 May 2024 14:01:49 +0200

On Thu, May 09, 2024 at 01:44:37PM +0200, Alexander Lobakin wrote:
> If I remember correctly, *all* device drivers which use DMA *must* call
> dma_set_*mask() on probe. That's why we added it there and didn't care.
> Alternatively, if it really breaks a lot of drivers, we can set
> dma_need_sync = true by default before the driver probing. I thought of
> this, but the correct approach would be to call dma_set_*mask() from the
> respective drivers.

No, we default to 32-bit DMA for a lot of busses for historical reasons,
especially platform devices.